summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/statusbar/statusbarinfo33
1 files changed, 33 insertions, 0 deletions
diff --git a/.local/bin/statusbar/statusbarinfo b/.local/bin/statusbar/statusbarinfo
new file mode 100755
index 0000000..ae799e9
--- /dev/null
+++ b/.local/bin/statusbar/statusbarinfo
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+echo "
+ ____ _ _ _
+/ ___|| |_ __ _| |_ _ _ ___| |__ __ _ _ __
+\___ \| __/ _\` | __| | | / __| '_ \ / _\` | '__|
+ ___) | || (_| | |_| |_| \__ \ |_) | (_| | |
+|____/ \__\__,_|\__|\__,_|___/_.__/ \__,_|_|
+
+This is a list of the statusbar modules.
+
+πŸ“¦5 pacpackages: updatable packages (must have pacman -Sy run in root cronjob to check).
+πŸ“° 41 news: unread RSS entries in newsboat.
+β˜” 83% ❄️ 69Β° 🌞 80Β° weather: β˜” for precipitation, 🌞 and ❄ for daily high and low.
+πŸ“¬ 20 mailbox: number of unread mail if mutt-wizard is active.
+πŸ”‰ 62% volume: master sink volume.
+πŸ”Œ83% battery: πŸ”Œ for charging, πŸ”‹ for discharging, ⚑ for full.
+πŸ“Ά 80% ❎ internet: πŸ“Ά for wifi with % (πŸ“‘ if none), 🌐 for ethernet. (❎ if none).
+
+Obviously the time and date are displayed as well.
+
+Optional script modules:
+
+Edit ~/.local/src/dwmblocks/config.h to add these or your own if you'd like (and recompile and restart dwmblocks).
+
+'memory' 🧠 559Mi/3.7Gi Current used memory/total memory.
+'cpu' 🌑 +46.0°C CPU temperature.
+'disk' πŸ–₯ : 28G/30G Remaining disk space...
+'disk ~' 🏠: 641G/850G ...can be given directory argument.
+'moonphase' πŸŒ• 39% Phase of the moon (requires \`pom-perl\`).
+'iplocate' πŸ‡ΊπŸ‡Έ United States Your own or VPN location (requires \`geoiplookup\`).
+
+" | less